Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QFile.Permission

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QFile.Permission

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QFile

    public static final class QFile.Permission

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QFile.Permission` | `ExeGroup`
`static QFile.Permission` | `ExeOther`
`static QFile.Permission` | `ExeOwner`
`static QFile.Permission` | `ExeUser`
`static QFile.Permission` | `ReadGroup`
`static QFile.Permission` | `ReadOther`
`static QFile.Permission` | `ReadOwner`
`static QFile.Permission` | `ReadUser`
`static QFile.Permission` | `WriteGroup`
`static QFile.Permission` | `WriteOther`
`static QFile.Permission` | `WriteOwner`
`static QFile.Permission` | `WriteUser`

Method Summary
`static QFile.Permissions` | `createQFlags(QFile.Permission[] values)` This function creates a com.trolltech.qt.core.QFile$Permissions with the specified `com.trolltech.qt.core.QFile$Permission[]` Permission values set.
`static QFile.Permission` | `resolve(int value)` Returns the Permission constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QFile.Permission` | `valueOf(java.lang.String name)`
`static QFile.Permission[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ReadOwner

    public static final QFile.Permission ReadOwner

### WriteOwner

    public static final QFile.Permission WriteOwner

### ExeOwner

    public static final QFile.Permission ExeOwner

### ReadUser

    public static final QFile.Permission ReadUser

### WriteUser

    public static final QFile.Permission WriteUser

### ExeUser

    public static final QFile.Permission ExeUser

### ReadGroup

    public static final QFile.Permission ReadGroup

### WriteGroup

    public static final QFile.Permission WriteGroup

### ExeGroup

    public static final QFile.Permission ExeGroup

### ReadOther

    public static final QFile.Permission ReadOther

### WriteOther

    public static final QFile.Permission WriteOther

### ExeOther

    public static final QFile.Permission ExeOther

Method Detail

### values

    public static QFile.Permission[] values()

### valueOf

    public static QFile.Permission valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### createQFlags

    public static QFile.Permissions createQFlags(QFile.Permission[] values)

  This function creates a com.trolltech.qt.core.QFile$Permissions with the specified `com.trolltech.qt.core.QFile$Permission[]` Permission values set.

### resolve

    public static QFile.Permission resolve(int value)

  Returns the Permission constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD